// Copyright (c) 2012, Ladislav Thon. All rights reserved. Use of this source
// code is governed by a BSD-style license that can be found in the LICENSE file.

library ansi_term;

final String lineBegin = "\u001b[255D\u001b[0K";

String black(obj)   => "${_black}$obj${_end}";
String red(obj)     => "${_red}$obj${_end}";
String green(obj)   => "${_green}$obj${_end}";
String brown(obj)   => "${_brown}$obj${_end}";
String blue(obj)    => "${_blue}$obj${_end}";
String magenta(obj) => "${_magenta}$obj${_end}";
String cyan(obj)    => "${_cyan}$obj${_end}";
String gray(obj)    => "${_gray}$obj${_end}";

String darkGray(obj)     => "${_darkGray}$obj${_end}";
String lightRed(obj)     => "${_lightRed}$obj${_end}";
String lightGreen(obj)   => "${_lightGreen}$obj${_end}";
String yellow(obj)       => "${_yellow}$obj${_end}";
String lightBlue(obj)    => "${_lightBlue}$obj${_end}";
String lightMagenta(obj) => "${_lightMagenta}$obj${_end}";
String lightCyan(obj)    => "${_lightCyan}$obj${_end}";
String white(obj)        => "${_white}$obj${_end}";

final _black   = "\u001b[0;30m";
final _red     = "\u001b[0;31m";
final _green   = "\u001b[0;32m";
final _brown   = "\u001b[0;33m";
final _blue    = "\u001b[0;34m";
final _magenta = "\u001b[0;35m";
final _cyan    = "\u001b[0;36m";
final _gray    = "\u001b[0;37m";

final _darkGray     = "\u001b[1;30m";
final _lightRed     = "\u001b[1;31m";
final _lightGreen   = "\u001b[1;32m";
final _yellow       = "\u001b[1;33m";
final _lightBlue    = "\u001b[1;34m";
final _lightMagenta = "\u001b[1;35m";
final _lightCyan    = "\u001b[1;36m";
final _white        = "\u001b[1;37m";

final _end = "\u001b[0;0m";

